<?php

declare(strict_types=1);

namespace OCA\PrideFlags\Settings;

use OCA\PrideFlags\AppConstants;
use OCP\AppFramework\Http\TemplateResponse;
use OCP\Settings\ISettings;
use OCP\Util;

class PersonalSettings implements ISettings {
	public function getForm(): TemplateResponse {
		return new TemplateResponse(AppConstants::APP_ID, 'settings', []);
	}

	public function getSection(): string {
		return AppConstant::APP_ID;
	}

	public function getPriority(): int {
		return 50;
	}
}
